Summary: A program for faxing using a Class 1, 2 or 2.0 fax modem.
Name: efax
Version: 0.9
Release: 7
Copyright: GPL
Group: Applications/Communications
Source: http://metalab.unc.edu/pub/Linux/apps/serialcomm/fax/%{name}-%{version}.tar.gz
Patch: efax-0.9-config.patch
Patch2: efax08a-time.patch
Patch5: efax-0.9-nullptr.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: make
Url: http://casas.ee.ubc.ca/efax/

%description
Efax is a small ANSI C/POSIX program that sends and receives faxes
using any Class 1, 2 or 2.0 fax modem.

You need to install efax if you want to send faxes and you have a
Class 1, 2 or 2.0 fax modem.

%prep
%setup -q
%patch0 -p1 -b .config
%patch2 -p1 -b .time
%patch5 -p1 -b .nullptr

%build
make RPM_OPT_FLAGS="-ansi $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_localstatedir}/spool/fax
mkdir -p %{buildroot}%{_localstatedir}/log/fax

make BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/*/*
%dir %{_localstatedir}/spool/fax
%dir %{_localstatedir}/log/fax

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu May 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add dependency on make (bug #11268)

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- add /var/spool/fax and /var/log/fax
- /usr/bin/fax not a config file.  Use .efaxrc instead.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description. Oops about the last one.

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- no you didn't Cristian.  You said you did but didn't. :) I did. Now.

* Tue Jun 29 1999 Cristian Gafton <gafton@redhat.com>
- updated to 0.9 (#3808)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- patch to fix null ptr dereference
- added -ansi flag; fixes efix problem (produced bad tiff files)

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- cleaned spec file to new standard, confirmed package is up to date

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added efax-08a-64bit.patch from David Mosberger
